<?php
namespace Claromentis\News\AbsoluteUrl;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_4fabdeae28e3ef4591a36a28a346" . "dc55" => base64_decode("YWRtaW4ubGFi" . "cy5hYnNvbHV0" . "ZV91cmwubmV3" . "cw=="), "_559824e0ac2e0f" . "7e96c810473f78f" . "5fe" => base64_decode("L25" . "ld3" . "Mv"));
use Claromentis\Admin\Sysadmin\AbsoluteUrl\AbstractAbsoluteUrl;
use Claromentis\Core\DAL\QueryBuilder;
abstract class AbstractNewsAbsoluteUrl extends AbstractAbsoluteUrl
{
    
    
    
    
    public function getName() : string
    {
        return ($this->lmsg)($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4fabdeae28e3ef4591a36a28a346d" . "c55"]);
    }
    
    
    
    
    public function getLink($id) : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_559824e0ac2e0f7" . "e96c810473f78f5f" . "e"] . $id;
    }
    
    
    
    
    public abstract function getType() : string;
    
    
    
    
    public abstract function getQueryBuilder() : QueryBuilder;
}